For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Invoices
      • GETGet transactions by invoiceid
      • POSTSearch transactions
      • GETGet transaction fees
LogoLogo
API ReferenceBilling

Get Invoices

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/invoices
GET
/Experimental/invoices
$curl -G https://sandbox-api.shipbob.com/Experimental/invoices \
> -H "Authorization: Bearer <token>" \
> --data-urlencode cursor=f8cUk/xJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0+BVMffFoIfoqzOkEsAw \
> -d fromDate=2019-08-24 \
> -d toDate=2019-08-24T \
> -d invoiceTypes=Shipping \
> -d invoiceTypes=WarehouseStorage \
> -d pageSize=100 \
> -d sortOrder=Descending
1{
2 "first": "m8cUk/xJkbeYp2JJvL8oHqxL2hFuGz3qjqtkQ",
3 "items": [
4 {
5 "amount": 0.01,
6 "currencyCode": "USD",
7 "invoiceDate": "2019-08-24",
8 "invoiceId": 12345,
9 "invoiceType": "Shipping",
10 "runningBalance": 123.01
11 }
12 ],
13 "last": "n8cUk/xJkbeYp2JJvL8oHqxL2hFiGz3qjqtkQ",
14 "next": "m8cUk/xJkbeYp2JhvL8oHqxL3hFiGz3qjqtkQ",
15 "prev": "m8cUk/xJkbeYp2JJvL8oHqxL2hFvGz3qjqtkQ"
16}
Gets a paginated list of invoices, optionally filtered by invoice types and date range
Was this page helpful?
Previous

Add new product variants to a product

Next

Get transactions by invoiceid

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

cursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

fromDatedatetimeOptional

[Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date.

toDatedatetimeOptional

[Optional] End date for filtering invoices by invoice date. Default is current date.

invoiceTypeslist of stringsOptional

[Optional] Filter invoices by invoice type. Valid values: Shipping,WarehouseStorage,Inbound Fee,Return,AdditionalFee,Credits

pageSizeintegerOptionalDefaults to 100

Number of invoices to return per page (default: 100). Must be between 1 and 1000.

sortOrderenumOptional

Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending.

Allowed values:

Response

Success
firststring
Go to the first page
itemslist of objects
laststring
Go to the Last page
nextstring
Go to the Next page
prevstring
Go to the Previous page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error